%define upstream_name    OpenAPI-Client
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perform Open API requests
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/OpenAPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::Validator) >= 5.90.0
BuildRequires: perl(Mojolicious::Plugin::OpenAPI) >= 5.50.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the OpenAPI::Client manpage can generating classes that can talk to an Open
API server. This is done by generating a custom class, based on a Open API
specification, with methods that transform parameters into a HTTP request.

The generated class will perform input validation, so invalid data won't be
sent to the server.

Note that this implementation is currently EXPERIMENTAL, but unlikely to
change! Feedback is appreciated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Nov 04 2022 tv <tv> 1.70.0-1.mga9
+ Revision: 1902551
- update to 1.07

* Mon Sep 12 2022 tv <tv> 1.60.0-1.mga9
+ Revision: 1887408
- update to 1.06

* Fri Aug 19 2022 tv <tv> 1.50.0-1.mga9
+ Revision: 1878719
- update to 1.05

* Sun Jun 05 2022 tv <tv> 1.40.0-1.mga9
+ Revision: 1861289
- update to 1.04

* Mon Mar 21 2022 umeabot <umeabot> 1.30.0-2.mga9
+ Revision: 1815028
- Mageia 9 Mass Rebuild

* Mon Oct 04 2021 tv <tv> 1.30.0-1.mga9
+ Revision: 1749308
- update to 1.03

* Tue Aug 31 2021 tv <tv> 1.20.0-1.mga9
+ Revision: 1743690
- update to 1.02

* Wed Jun 23 2021 tv <tv> 1.10.0-1.mga9
+ Revision: 1731965
- update to 1.01

* Thu Feb 25 2021 tv <tv> 1.0.0-1.mga9
+ Revision: 1691413
- update to 1.00

* Wed Jul 01 2020 tv <tv> 0.250.0-1.mga8
+ Revision: 1600911
- update to 0.25

* Wed Feb 19 2020 umeabot <umeabot> 0.240.0-2.mga8
+ Revision: 1543581
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 guillomovitch <guillomovitch> 0.240.0-1.mga8
+ Revision: 1481974
- imported package perl-OpenAPI-Client

